Subject: bug#42243: About a Potential Change/Bug That Might Have Rendered cdlatex Mostly Dysfunctional

From: Ikumi Keita <[email-masked]>
Date: Sun, 02 Aug 2020 03:27:46 +0900

Hi Semih,

>>>>> SEMIH KACMAZ <[email-masked]> writes:
> Hello Ikumi,
> Thanks for the reply and verification of the issue. TeX-parse-self option
> was already enabled in my config file. However, after checking
> "texmathp.el" I figured that customizing the texmathp-tex-commands variable
> should solve my problem. Now everything is back to normal. Yet, your
> response makes me feel that my "solution" was merely a work-around and the
> actual solution might be adding the style folder TeX-style-path or
> something similar. Of course, this is only a speculation on my part as I
> did not check its viability.

> Thank you again for your time and consideration,
> Semih

Perhaps you don't use AUCTeX when you edit LaTeX documents, and
enable only cdlatex? Then it makes sense that it wasn't effective to
enable TeX-parse-self. I didn't consider cases that texmathp.el is
used outside AUCTeX. When it is used independently, support for
AMS-LaTeX specific environments such as "align" are not loaded.

We hope we can address this problem soon.

Regards,
Ikumi Keita